Text::Markup::Pod(3pm)

Name
Text::Markup::Pod - Pod parser for Text::Markup

Synopsis
  use Text::Markup;
  my $pod = Text::Markup->new->parse(file => 'README.pod');

Description
This is the Pod parser for Text::Markup. It runs the file through Pod::Simple::XHTML and returns the result. If the Pod contains any non-ASCII characters, the encoding must be declared either via a BOM or via the "=encoding" tag. Text::Markup::Pod recognizes files with the following extensions as Pod:

.pod
.pm
.pl

To change it the files it recognizes, load this module directly and pass a regular expression matching the desired extension(s), like so:

  use Text::Markup::Pod qr{cgi};

Options
You may pass an arrayref of settings to this parser which changes the output returned. For example, to suppress an HTML header and footer, pass:

  my $pod_fragment = Text::Markup->new->parse(
          file => 'README.pod',
          options => [
              html_header => '',
              html_footer => '',
          ]
  );

This implementation makes method calls to the Pod::Simple::XHTML parser using the key as the method name and the value as the parameter list to pass.

See Pod::Simple::XHTML and Pod::Simple for the full list of options and inherited options which can be manipulated.

Author
David E. Wheeler <david@justatheory.com>

Copyright and License
Copyright (c) 2011-2025 David E. Wheeler. Some Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.